package ru.ldeloff.servermonitorbot.commands.statuschecker.scheduler;

import lombok.RequiredArgsConstructor;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;
import ru.ldeloff.servermonitorbot.service.SshService;

@Service
@RequiredArgsConstructor
public class CheckSessionStatusScheduler {

    private final SshService sshService;

    @Scheduled(fixedRateString = "${ssh.checkConnectionDelay}")
    public void updateSessionStatusCheck() {
        sshService.updateConnection();
    }
}
