package ru.ldeloff.servermonitorbot.commands.statuschecker.service;

import org.springframework.stereotype.Service;
import org.telegram.telegrambots.meta.api.methods.send.SendMessage;
import ru.ldeloff.servermonitorbot.commands.CommandTemplate;
import ru.ldeloff.servermonitorbot.service.MessagingService;
import ru.ldeloff.servermonitorbot.util.UpdateUtil;
import ru.ldeloff.servermonitorbot.model.user.User;
import ru.ldeloff.servermonitorbot.service.SshService;
import ru.ldeloff.servermonitorbot.view.ServerListButtons;

@Service
public class CheckSessionStatus extends CommandTemplate {

    public CheckSessionStatus(UpdateUtil updateUtil, ServerListButtons serverListButtons, SshService sshService, MessagingService messagingService) {
        super(updateUtil, serverListButtons, sshService, messagingService);
        setName("Статус");
    }

    public SendMessage executeAggregate(User user, SendMessage message) {
        return super.sshService.getStatusSessions(message);
    }

    @Override
    public String executeCommandSpecificHost(String serverName) {
        return null;
    }
}
