package ru.ldeloff.servermonitorbot.model;

import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;
import ru.ldeloff.servermonitorbot.model.server.SshServer;

@Getter
@Setter
public class SshCommand {
    @NotNull
    private String command;
    @NotNull
    @Min(100)
    private int timeout;
    @NotNull
    private SshServer sshServer;
    private String response;

    public SshCommand(String command, int timeout, SshServer sshServer) {
        this.command = command;
        this.timeout = timeout;
        this.sshServer = sshServer;
    }
}
