package ru.ldeloff.servermonitorbot.service;


import org.telegram.telegrambots.meta.api.methods.send.SendMessage;
import ru.ldeloff.servermonitorbot.model.SshCommand;
import ru.ldeloff.servermonitorbot.model.server.SshServer;

import java.util.List;

public interface SshService {

    void updateConnection();

    void disconnectAllConnections();

    SendMessage getStatusSessions(SendMessage update);

    List<SshServer> getAllSshServers();

    List<SshServer> getHealthSshServers();

    SshCommand execute(SshCommand sshCommand);

    List<SshCommand> execute(List<SshCommand> sshCommands);
}
