package ru.ldeloff.servermonitorbot;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.scheduling.annotation.EnableScheduling;
import ru.ldeloff.servermonitorbot.model.server.SshServers;

@SpringBootApplication
@EnableScheduling
@EnableConfigurationProperties(SshServers.class)
public class ServerMonitorBotApplication {

    public static void main(String[] args) {
        SpringApplication.run(ServerMonitorBotApplication.class, args);
    }

}
