package ru.ldeloff.servermonitorbot.init;

import lombok.RequiredArgsConstructor;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;
import ru.ldeloff.servermonitorbot.service.SshService;

@Component
@RequiredArgsConstructor
@Order(3)
public class SshConnect implements ApplicationRunner {

    final SshService sshService;

    @Override
    public void run(ApplicationArguments args) {
        sshService.updateConnection();
    }
}
